Merge m-c to fx-team. a=merge
authorRyan VanderMeulen <ryanvm@gmail.com>
Tue, 09 Jun 2015 14:33:56 -0400
changeset 248051 0935b76b6ec725b26d5195d74b6b7d9bdc175d6a
parent 248050 507407471469d02585269adefd82421362e909b9 (current diff)
parent 247728 517791f65cd95dcb8cf3d9fee022d7b1109201b3 (diff)
child 248052 f7e900c02fddcb6270d265bac45ec2f04723d834
push id60888
push userkwierso@gmail.com
push dateThu, 11 Jun 2015 01:38:38 +0000
treeherdermozilla-inbound@39e638ed06bf [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersmerge
milestone41.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Merge m-c to fx-team. a=merge
testing/taskcluster/scripts/phone-builder/build-spark-ota.sh
testing/taskcluster/scripts/phone-builder/build-spark.sh
--- a/testing/taskcluster/scripts/phone-builder/build-phone-ota.sh
+++ b/testing/taskcluster/scripts/phone-builder/build-phone-ota.sh
@@ -1,35 +1,41 @@
 #! /bin/bash -vex
 
 . pre-build.sh
 
-if [ 0$B2G_DEBUG -ne 0 ]; then
-    DEBUG_SUFFIX=-debug
-fi
-
-if [ ! -d $HOME/.ssh ]; then
-    mkdir $HOME/.ssh
+if [ $TARGET == "aries" -o $TARGET == "shinano" ]; then
+  # caching objects might be dangerous for some devices (aka aries)
+  rm -rf $WORKSPACE/B2G/objdir*
+  rm -rf $WORKSPACE/B2G/out
 fi
 
 PLATFORM=${TARGET%%-*}
 
 aws s3 cp s3://b2g-nightly-credentials/balrog_credentials .
 mar_file=b2g-$PLATFORM-gecko-update.mar
 
 # We need different platform names for each variant (user, userdebug and
 # eng). We do not append variant suffix for "user" to keep compability with
 # verions already installed in the phones.
-if [ $VARIANT != "user" ]; then
+if [ 0$DOGFOOD -ne 0 -o $VARIANT != "user" ]; then
   PLATFORM=$PLATFORM-$VARIANT
 fi
 
+if ! test $MOZHARNESS_CONFIG; then
+  MOZHARNESS_CONFIG=b2g/taskcluster-phone-ota.py
+fi
+
+if ! test $BALROG_SERVER_CONFIG; then
+  BALROG_SERVER_CONFIG=balrog/docker-worker.py
+fi
+
 ./mozharness/scripts/b2g_build.py \
-  --config b2g/taskcluster-phone-nightly.py \
-  --config balrog/docker-worker.py \
+  --config $MOZHARNESS_CONFIG \
+  --config $BALROG_SERVER_CONFIG \
   "$debug_flag" \
   --disable-mock \
   --variant=$VARIANT \
   --work-dir=$WORKSPACE/B2G \
   --gaia-languages-file locales/languages_all.json \
   --log-level=debug \
   --target=$TARGET \
   --b2g-config-dir=$TARGET \
--- a/testing/taskcluster/scripts/phone-builder/build-phone.sh
+++ b/testing/taskcluster/scripts/phone-builder/build-phone.sh
@@ -1,14 +1,24 @@
 #! /bin/bash -vex
 
 . pre-build.sh
 
+if [ $TARGET == "aries" -o $TARGET == "shinano" ]; then
+  # caching objects might be dangerous for some devices (aka aries)
+  rm -rf $WORKSPACE/B2G/objdir*
+  rm -rf $WORKSPACE/B2G/out
+fi
+
+if ! test $MOZHARNESS_CONFIG; then
+  MOZHARNESS_CONFIG=b2g/taskcluster-phone.py
+fi
+
 ./mozharness/scripts/b2g_build.py \
-  --config b2g/taskcluster-phone.py \
+  --config $MOZHARNESS_CONFIG \
   "$debug_flag" \
   --disable-mock \
   --variant=$VARIANT \
   --work-dir=$WORKSPACE/B2G \
   --gaia-languages-file locales/languages_all.json \
   --log-level=debug \
   --target=$TARGET \
   --b2g-config-dir=$TARGET \
deleted file mode 100755
--- a/testing/taskcluster/scripts/phone-builder/build-spark-ota.sh
+++ /dev/null
@@ -1,70 +0,0 @@
-#!/bin/bash -vex
-
-. pre-build.sh
-
-if [ 0$B2G_DEBUG -ne 0 ]; then
-    DEBUG_SUFFIX=-debug
-fi
-
-if [ $TARGET == "aries" -o $TARGET == "shinano" ]; then
-  # caching objects might be dangerous for some devices (aka aries)
-  rm -rf $WORKSPACE/B2G/objdir*
-  rm -rf $WORKSPACE/B2G/out
-fi
-
-aws s3 cp s3://b2g-nightly-credentials/balrog_credentials .
-mar_file=b2g-${TARGET%%-*}-gecko-update.mar
-
-# We need different platform names for each variant (user, userdebug and
-# eng). We do not append variant suffix for "user" to keep compability with
-# verions already installed in the phones.
-if [ 0$DOGFOOD -ne 0 -o $VARIANT == "user" ]; then
-  PLATFORM=$TARGET
-else
-  PLATFORM=$TARGET-$VARIANT
-fi
-
-if ! test $MOZHARNESS_CONFIG; then
-  MOZHARNESS_CONFIG=b2g/taskcluster-spark-nightly.py
-fi
-
-if ! test $BALROG_SERVER_CONFIG; then
-  BALROG_SERVER_CONFIG=balrog/docker-worker.py
-fi
-
-./mozharness/scripts/b2g_lightsaber.py \
-  --config $MOZHARNESS_CONFIG \
-  --config $BALROG_SERVER_CONFIG \
-  "$debug_flag" \
-  --disable-mock \
-  --variant=$VARIANT \
-  --work-dir=$WORKSPACE/B2G \
-  --gaia-languages-file locales/languages_all.json \
-  --log-level=debug \
-  --target=$TARGET \
-  --b2g-config-dir=$TARGET \
-  --checkout-revision=$GECKO_HEAD_REV \
-  --base-repo=$GECKO_BASE_REPOSITORY \
-  --repo=$GECKO_HEAD_REPOSITORY \
-  --platform $PLATFORM \
-  --complete-mar-url https://queue.taskcluster.net/v1/task/$TASK_ID/runs/$RUN_ID/artifacts/public/build/$mar_file \
-
-# Don't cache backups
-rm -rf $WORKSPACE/B2G/backup-*
-rm -f balrog_credentials
-
-mkdir -p $HOME/artifacts
-mkdir -p $HOME/artifacts-public
-
-mv $WORKSPACE/B2G/upload-public/$mar_file $HOME/artifacts-public/
-mv $WORKSPACE/B2G/upload/sources.xml $HOME/artifacts/sources.xml
-mv $WORKSPACE/B2G/upload/b2g-*.android-arm.tar.gz $HOME/artifacts/b2g-android-arm.tar.gz
-mv $WORKSPACE/B2G/upload/${TARGET}.zip $HOME/artifacts/${TARGET}.zip
-mv $WORKSPACE/B2G/upload/gaia.zip $HOME/artifacts/gaia.zip
-
-if [ -f $WORKSPACE/B2G/upload/b2g-*.crashreporter-symbols.zip ]; then
-  mv $WORKSPACE/B2G/upload/b2g-*.crashreporter-symbols.zip $HOME/artifacts/b2g-crashreporter-symbols.zip
-fi
-
-ccache -s
-
deleted file mode 100755
--- a/testing/taskcluster/scripts/phone-builder/build-spark.sh
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/bash -vex
-
-. pre-build.sh
-
-# We need different platform names for each variant (user, userdebug and
-# eng). We do not append variant suffix for "user" to keep compability with
-# verions already installed in the phones.
-if [ $VARIANT == "user" ]; then
-  PLATFORM=$TARGET
-else
-  PLATFORM=$TARGET-$VARIANT
-fi
-
-./mozharness/scripts/b2g_lightsaber.py \
-  --config b2g/taskcluster-lightsaber.py \
-  "$debug_flag" \
-  --disable-mock \
-  --variant=$VARIANT \
-  --work-dir=$WORKSPACE/B2G \
-  --gaia-languages-file locales/languages_all.json \
-  --log-level=debug \
-  --target=$TARGET \
-  --b2g-config-dir=$TARGET \
-  --checkout-revision=$GECKO_HEAD_REV \
-  --base-repo=$GECKO_BASE_REPOSITORY \
-  --repo=$GECKO_HEAD_REPOSITORY
-
-# Don't cache backups
-rm -rf $WORKSPACE/B2G/backup-*
-
-# Move files into artifact locations!
-mkdir -p $HOME/artifacts
-
-mv $WORKSPACE/B2G/upload/sources.xml $HOME/artifacts/sources.xml
-mv $WORKSPACE/B2G/upload/b2g-*.crashreporter-symbols.zip $HOME/artifacts/b2g-crashreporter-symbols.zip
-mv $WORKSPACE/B2G/upload/b2g-*.android-arm.tar.gz $HOME/artifacts/b2g-android-arm.tar.gz
-mv $WORKSPACE/B2G/upload/${TARGET}.zip $HOME/artifacts/${TARGET}.zip
-mv $WORKSPACE/B2G/upload/gaia.zip $HOME/artifacts/gaia.zip
-
-ccache -s
--- a/testing/taskcluster/tasks/builds/b2g_aries_spark_eng.yml
+++ b/testing/taskcluster/tasks/builds/b2g_aries_spark_eng.yml
@@ -14,21 +14,22 @@ task:
     cache:
       build-aries-eng: /home/worker/workspace
     env:
       TARGET: 'aries'
       DEBUG: 0
       VARIANT: eng
       GAIA_OPTIMIZE: '1'
       B2G_SYSTEM_APPS: '1'
+      MOZHARNESS_CONFIG: b2g/taskcluster-spark.py
     command:
       - >
         checkout-gecko workspace &&
         cd ./workspace/gecko/testing/taskcluster/scripts/phone-builder &&
-        buildbot_step 'Build' ./build-spark.sh $HOME/workspace
+        buildbot_step 'Build' ./build-phone.sh $HOME/workspace
   extra:
     treeherderEnv:
       - production
       - staging
     treeherder:
       symbol: Be
       groupSymbol: Aries
       groupName: Aries Device Image
--- a/testing/taskcluster/tasks/builds/b2g_aries_spark_ota_base.yml
+++ b/testing/taskcluster/tasks/builds/b2g_aries_spark_ota_base.yml
@@ -6,21 +6,22 @@ task:
     - 'docker-worker:feature:balrogVPNProxy'
 
   payload:
     features:
       balrogVPNProxy: true
     env:
       TARGET: 'aries'
       DEBUG: 0
+      MOZHARNESS_CONFIG: b2g/taskcluster-spark-ota.py
     command:
       - >
         checkout-gecko workspace &&
         cd ./workspace/gecko/testing/taskcluster/scripts/phone-builder &&
-        buildbot_step 'Build' ./build-spark-ota.sh $HOME/workspace
+        buildbot_step 'Build' ./build-phone-ota.sh $HOME/workspace
 
   extra:
     treeherder:
       machine:
         platform: b2g-device-image
     locations:
       img: 'private/build/aries.zip'
       mar: 'public/build/b2g-aries-gecko-update.mar'